/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference path="../src/plugin-content-docs.d.ts" />
import type { TagMetadata } from '@docusaurus/utils';
import type { LoadedVersion, CategoryGeneratedIndexMetadata } from '@docusaurus/plugin-content-docs';
import type { SidebarsUtils } from './sidebars/utils';
export type DocFile = {
    contentPath: string;
    filePath: string;
    source: string;
    content: string;
};
export type VersionTag = TagMetadata & {
    /** All doc ids having this tag. */
    docIds: string[];
    unlisted: boolean;
};
export type VersionTags = {
    [permalink: string]: VersionTag;
};
export type FullVersion = LoadedVersion & {
    sidebarsUtils: SidebarsUtils;
    categoryGeneratedIndices: CategoryGeneratedIndexMetadata[];
};
